3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php function thr() { throw new Exception('test'); } try { thr(); } catch (Exception $e) { throw new Exception('test2', $e); } finally { echo 'lol'; }
Output for 7.0.0 - 7.2.0
lol Fatal error: Uncaught Error: Wrong parameters for Exception([string $message [, long $code [, Throwable $previous = NULL]]]) in /in/FYthF:10 Stack trace: #0 /in/FYthF(10): Exception->__construct('test2', Object(Exception)) #1 {main} thrown in /in/FYthF on line 10
Process exited with code 255.
Output for 5.5.24 - 5.6.28
Fatal error: Wrong parameters for Exception([string $exception [, long $code [, Exception $previous = NULL]]]) in /in/FYthF on line 10
Process exited with code 255.
Output for 5.1.0 - 5.4.45
Parse error: syntax error, unexpected '{' in /in/FYthF on line 11
Process exited with code 255.
Output for 5.0.0 - 5.0.5
Parse error: parse error, unexpected '{' in /in/FYthF on line 11
Process exited with code 255.
Output for 4.4.2 - 4.4.9
Parse error: syntax error, unexpected T_NEW in /in/FYthF on line 4
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
Parse error: parse error, unexpected T_NEW in /in/FYthF on line 4
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error in /in/FYthF on line 4
Process exited with code 255.